X2Go Bug report logs - #896
Session Resume Fails with "Failed to restore all the required visuals."

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Fri, 26 Jun 2015 13:00:02 UTC

Severity: normal

Tags: pending

Merged with 696, 891

Found in versions 4.0.4.0, 4.0.3.1-1

Fixed in version 4.0.4.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#896; Package x2goclient. (Fri, 26 Jun 2015 13:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 26 Jun 2015 13:00:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: Session Resume Fails with "Failed to restore all the required visuals."
Date: Fri, 26 Jun 2015 08:55:14 -0400
Package: x2goclient
Version: 4.0.4.0
Severity: normal
Tags: +build-win32

Sometimes when starting an X2Go session on a Windows client, and
resuming it on a different machine (which may or may not be Windows),
the session fails to resume and you get this error message:

X2Go - 50
Failed to restore all the required visuals.
Can't resume the NX session on this display.

Screenshot: http://imgur.com/zQz69Cz

On test configuration #1 at least, I am still able to resume the
session on the original client, even after receiving the error on the
new client.

I have seen this issue occasionally over the last year or 2. I recall
experiencing it when try resume a session over RDP. However, I have 2
other test configurations listed below.

Note that the error message comes from nx-libs, not x2goclient.
x2goclient passes the error message to the user.

However, I am filing this bug under x2goclient since it is likely
possible to fix it by launching VcXsrv on Windows with different
options. In fact, at X2Go Gathering 2015, one of the QVD developers
said that they experienced this issue with QVD client for iOS, and
fixed it by launching their client-side X server with certain options:
https://github.com/theqvd/qvd-client-ios/blob/master/QVDWrapper/wrapper/Services/QVDXvncService.m#L106

Right now I am able to reproduce it with this test configuration (#1):

Server OS: Fedora 21 64-bit with latest updates
x2goserver: 4.0.1.19-3.fc21 (from Fedora)
x2goserver-xsession: 4.0.1.19-3.fc21 (from Fedora)
nxagent: 3.5.0.31-0.0x2go1.1.git20150608.671.main.fc21

session-starting client OS: Windows 10 64-bit build 10130
session-starting x2goclient: 4.0.4.0-2015.06.24
session-starting hardware: physical, accessed locally

session-resuming client OS: Windows XP 32-bit SP3 with last available updates
session-resuming x2goclient: 4.0.4.0-2015.06.24
session-resuming hardware: Virtual. Running on the server's qemu-kvm
hypervisor with virt-manager. QXL & SPICE are used (the SPICE server
is built into the hypervisor.) Driver is "Red Hat QXL GPU" 7/17/2013
5.1.0.10018. Color is set to 32-bit. Accessed over virt-viewer 2.0
from Windows.

Also, at the X2Go Gathering 2015, we were able to reproduce this with
the following 2 clients (but with a different server) (test config
#2):

Server Details: unknown

session-starting client OS: Windows 7 64-bit SP1 with latest updated
session-starting x2goclient: 4.0.4.0-2015.06.24
session-starting hardware: physical, accessed locally

session-resuming client OS: X2Go TCE (version unknown) (based on
Debian 7 Wheezy IIRC)
session-resuming x2goclient: version unknown
session-resuming hardware: physical, accessed locally


Merged 891 896 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 26 Jun 2015 20:55:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.3.1-1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 18 Jul 2015 20:45:02 GMT) Full text and rfc822 format available.

Merged 696 891 896 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 18 Jul 2015 20:45:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 26 Jul 2015 18:40:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.4.1. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 26 Jul 2015 18:40:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 28 Jul 2015 02:55:10 GMT) Full text and rfc822 format available.

Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Tue, 28 Jul 2015 02:55:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 25 Aug 2015 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu May 23 05:25:56 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.